package org.eclipse.datatools.enablement.ibm.db2.model;


import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.datatools.enablement.ibm.db2.model.DB2ModelPackage
 * @generated
 */
public interface DB2ModelFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	DB2ModelFactory eINSTANCE = org.eclipse.datatools.enablement.ibm.db2.model.impl.DB2ModelFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>DB2 Database</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Database</em>'.
	 * @generated
	 */
	DB2Database createDB2Database();

	/**
	 * Returns a new object of class '<em>DB2 Package</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Package</em>'.
	 * @generated
	 */
	DB2Package createDB2Package();

	/**
	 * Returns a new object of class '<em>DB2 Table</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Table</em>'.
	 * @generated
	 */
	DB2Table createDB2Table();

	/**
	 * Returns a new object of class '<em>DB2 Trigger</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Trigger</em>'.
	 * @generated
	 */
	DB2Trigger createDB2Trigger();

	/**
	 * Returns a new object of class '<em>DB2 Procedure</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Procedure</em>'.
	 * @generated
	 */
	DB2Procedure createDB2Procedure();

	/**
	 * Returns a new object of class '<em>DB2 Schema</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Schema</em>'.
	 * @generated
	 */
	DB2Schema createDB2Schema();

	/**
	 * Returns a new object of class '<em>DB2 Database Manager</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Database Manager</em>'.
	 * @generated
	 */
	DB2DatabaseManager createDB2DatabaseManager();

	/**
	 * Returns a new object of class '<em>DB2 View</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 View</em>'.
	 * @generated
	 */
	DB2View createDB2View();

	/**
	 * Returns a new object of class '<em>DB2 Application Process</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Application Process</em>'.
	 * @generated
	 */
	DB2ApplicationProcess createDB2ApplicationProcess();

	/**
	 * Returns a new object of class '<em>DB2 Transaction</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Transaction</em>'.
	 * @generated
	 */
	DB2Transaction createDB2Transaction();

	/**
	 * Returns a new object of class '<em>DB2 System Schema</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 System Schema</em>'.
	 * @generated
	 */
	DB2SystemSchema createDB2SystemSchema();

	/**
	 * Returns a new object of class '<em>DB2 Source</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Source</em>'.
	 * @generated
	 */
	DB2Source createDB2Source();

	/**
	 * Returns a new object of class '<em>DB2 User Defined Function</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 User Defined Function</em>'.
	 * @generated
	 */
	DB2UserDefinedFunction createDB2UserDefinedFunction();

	/**
	 * Returns a new object of class '<em>DB2 Method</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Method</em>'.
	 * @generated
	 */
	DB2Method createDB2Method();

	/**
	 * Returns a new object of class '<em>DB2 Extended Options</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Extended Options</em>'.
	 * @generated
	 */
	DB2ExtendedOptions createDB2ExtendedOptions();

	/**
	 * Returns a new object of class '<em>DB2 Alias</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Alias</em>'.
	 * @generated
	 */
	DB2Alias createDB2Alias();

	/**
	 * Returns a new object of class '<em>DB2 Index</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Index</em>'.
	 * @generated
	 */
	DB2Index createDB2Index();

	/**
	 * Returns a new object of class '<em>DB2 Multidimensional Index</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Multidimensional Index</em>'.
	 * @generated
	 */
	DB2MultidimensionalIndex createDB2MultidimensionalIndex();

	/**
	 * Returns a new object of class '<em>DB2 Java Options</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Java Options</em>'.
	 * @generated
	 */
	DB2JavaOptions createDB2JavaOptions();

	/**
	 * Returns a new object of class '<em>DB2 Procedure Deploy</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Procedure Deploy</em>'.
	 * @generated
	 */
	DB2ProcedureDeploy createDB2ProcedureDeploy();

	/**
	 * Returns a new object of class '<em>DB2OLAP Object</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2OLAP Object</em>'.
	 * @generated
	 */
	DB2OLAPObject createDB2OLAPObject();

	/**
	 * Returns a new object of class '<em>DB2 Identity Specifier</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Identity Specifier</em>'.
	 * @generated
	 */
	DB2IdentitySpecifier createDB2IdentitySpecifier();

	/**
	 * Returns a new object of class '<em>DB2 Jar</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Jar</em>'.
	 * @generated
	 */
	DB2Jar createDB2Jar();

	/**
	 * Returns a new object of class '<em>DB2 Column</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Column</em>'.
	 * @generated
	 */
	DB2Column createDB2Column();

	/**
	 * Returns a new object of class '<em>DB2XSR Object</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2XSR Object</em>'.
	 * @generated
	 */
	DB2XSRObject createDB2XSRObject();

	/**
	 * Returns a new object of class '<em>DB2XML Schema</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2XML Schema</em>'.
	 * @generated
	 */
	DB2XMLSchema createDB2XMLSchema();

	/**
	 * Returns a new object of class '<em>DB2XML Schema Document</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2XML Schema Document</em>'.
	 * @generated
	 */
	DB2XMLSchemaDocument createDB2XMLSchemaDocument();

	/**
	 * Returns a new object of class '<em>DB2XML Schema Doc Properties</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2XML Schema Doc Properties</em>'.
	 * @generated
	 */
	DB2XMLSchemaDocProperties createDB2XMLSchemaDocProperties();

	/**
	 * Returns a new object of class '<em>DB2 Package Statement</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Package Statement</em>'.
	 * @generated
	 */
	DB2PackageStatement createDB2PackageStatement();

	/**
	 * Returns a new object of class '<em>DB2 Period</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Period</em>'.
	 * @generated
	 */
	DB2Period createDB2Period();

	/**
	 * Returns a new object of class '<em>DB2 Cluster</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Cluster</em>'.
	 * @generated
	 */
	DB2Cluster createDB2Cluster();

	/**
	 * Returns a new object of class '<em>DB2 Member</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Member</em>'.
	 * @generated
	 */
	DB2Member createDB2Member();

	/**
	 * Returns a new object of class '<em>DB2 Unique Constraint Extension</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Unique Constraint Extension</em>'.
	 * @generated
	 */
	DB2UniqueConstraintExtension createDB2UniqueConstraintExtension();

	/**
	 * Returns a new object of class '<em>DB2 Mask</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Mask</em>'.
	 * @generated
	 */
	DB2Mask createDB2Mask();

	/**
	 * Returns a new object of class '<em>DB2 Permission</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>DB2 Permission</em>'.
	 * @generated
	 */
	DB2Permission createDB2Permission();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	DB2ModelPackage getDB2ModelPackage();

} //DB2ModelFactory
